Bug 1311828 - Black screen with Intel Driver xorg-x11-drv-intel
Black screen with Intel Driver xorg-x11-drv-intel
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 01:34 EST by Mike Silberg
Modified: 2016-12-20 14:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:01:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Silberg 2016-02-25 01:34:44 EST
Description of problem:

I have a problem with the latest Intel Driver xorg-x11-drv-intel.x86_64 (2.99.917-19.20151206.fc23) on my two laptops Asus S400CA and Lenovo M30-70. So I had to downgrade to the previous stable version of xorg-x11-drv-intel 2.99.917-16.20150729.fc23.

Version-Release number of selected component (if applicable):
2.99.917-19.20151206.fc23

How reproducible:
Lock the screen or wait until the screensaver will be activated and then after 5 seconds try to unlock it with touchpad or keyboard. The screen always remains black with no reaction on user input. The only workaround to overcome the issue is to press Ctrl-Alt-F1 and then come back to actual active screen by pressing Ctrl-Alt-F2.

Steps to Reproduce:
1. Lock the screen or wait until the screensaver will be activated
2. After 5 seconds try to unlock it with touchpad or keyboard
3. Screen remains black and can't be unlocked

Actual results:
The screen always remain black with no reaction on user input.

Expected results:
Screen reacts on user input and the user can see password input window

Additional info:
Fedora 23 x86_64 on Asus S400CA and Lenovo M30-70
Comment 1 Kevin Fenzi 2016-02-26 14:34:32 EST
What kernel version are you using there?

You might try this kernel once it's done building: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=739250
Comment 2 Mike Silberg 2016-02-28 10:27:31 EST
My current Kernel on both machines is 4.3.5-300.fc23.x86_64.

I'll do the test once again with kernel-4.4.3-300.fc23 and get back to you.
Comment 3 Daniel 2016-02-29 01:04:08 EST
I am using MATE+compiz and have the same issue.
My problem was solved by downgrade xorg-x11-drv-intel package form version 2.99.917-19.20151206.fc23.x86_64 to 2.99.917-16.20150729.fc23.x86_64.
I am using kernel of version 4.3.5-300.fc23.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org).
Comment 4 Mike Silberg 2016-03-01 20:14:19 EST
I recently installed kernel 4.4.2-301.fc23.x86_64 and upgraded again the graphics driver to version 2.99.917-19.20151206.fc23.

The problem with black screen doesn't appear any more.
Comment 5 Franco Bugnano 2016-03-02 07:02:46 EST
I have the opposite problem as Mike's, that is I'm using xorg-x11-drv-intel version 2.99.917-19.20151206.fc23.x86_64, and with kernel version 4.3.5-300.fc23.x86_64 everything works fine, but when booting from kernel version 4.4.2-301.fc23.x86_64 the screen is just blank, and nothing shows up after grub2.
Comment 6 Franco Bugnano 2016-03-03 07:01:25 EST
I confirm that todays kernel version 4.4.3-300.fc23.x86_64 still has the same blank screen problem.

The last version that does not show the blank screen problem remains 4.3.5-300.fc23.x86_64

I forgot to mention that I'm using an Intel GMA X4500MHD video chipset.
Comment 7 Anthony Name 2016-03-07 10:22:52 EST
I occasionally get the 'black screen lockup' using intel 2.99.917-19.20151206.fc23.x86_64 driver with kernel 4.4.3-300, can anyone using MATE+compiz also confirm they get compiz resets when trying to expand (increase the size of the terminal box) a cmd terminal session with this combo as well?
Comment 8 Daniel 2016-03-08 04:05:06 EST
Maybe this is https://bugzilla.redhat.com/show_bug.cgi?id=1311604
Comment 9 Franco Bugnano 2016-03-16 07:53:04 EDT
With today's update of the kernel (version 4.4.4-301.fc23.x86_64) the problem still exists.
It seems that kernel version 4.4 introduced a bug that makes older Intel graphics unusable, and 4 point releases later the bug has not been fixed yet.
I don't have any experience in triaging kernel bugs, so I can't help any more than reporting the bug, sorry.
All I can say is that the last kernel version that works is 4.3.5-300.fc23.x86_64
Comment 10 Franco Bugnano 2016-06-04 02:07:20 EDT
As also noted in bug #1313013, with kernel version 4.5.5-201.fc23.x86_64 the black screen problem for DVI output has been resolved. Thank you
Comment 11 Fedora End Of Life 2016-11-24 10:45:31 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2016-12-20 14:01:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.